import request from "@/utils/request";

//GET
///prod-api/front/customer/university/add
// 03 关注院校
export function concernUniversity(params) {
  return request({
    url: "/front/customer/university/add",
    method: "get",
    params: params
  });
}

//GET
///prod-api/front/customer/university/list
//01 关注院校列表
export function concernedUniversities(params) {
  return request({
    url: "/front/customer/university/list",
    method: "get",
    params: params
  });
}

//GET
///prod-api/front/customer/university/remove
//02 移除关注院校
export function removeConcernedUniversity(params) {
  return request({
    url: "/front/customer/university/remove",
    method: "get",
    params: params
  });
}

//GET
///prod-api/front/customer/majors/add
// 03 关注专业
export function concernMajor(params) {
  return request({
    url: "/front/customer/marjors/add",
    method: "get",
    params: params
  });
}

//GET
///prod-api/front/customer/majors/list
//01 关注专业列表
export function concernedMajors(params) {
  return request({
    url: "/front/customer/marjors/list",
    method: "get",
    params: params
  });
}

//GET
///prod-api/front/customer/majors/remove
//02 移除关注专业
export function removeConcernedMajor(params) {
  return request({
    url: "/front/customer/marjors/list",
    method: "get",
    params: params
  });
}


//GET  04 holland测评记录
export function hollandRecord(params) {
  return request({
    url: "/front/syzy/holland/record",
    method: "get",
    params: params
  });
}
//GET  04 Mbti测评记录
export function mbtiRecord(params) {
  return request({
    url: "/front/syzy/mbti/record",
    method: "get",
    params: params
  });
}

//GET  04 志愿表
export function zytbRecord(params) {
  return request({
    url: "/front/syzy/zytb/record",
    method: "get",
    params: params
  });
}

//GET  04 高考名词
export function list(params) {
  return request({
    url: "/front/syzy/gkmc/list",
    method: "get",
    params: params
  });
}

//GET  04 高考名词
export function detail(params) {
  return request({
    url: "/front/syzy/gkmc/detail",
    method: "get",
    params: params
  });
}

//GET  批次控制线 地域
export function locations(params) {
  return request({
    url: "/front/syzy/pckzx/locations",
    method: "get",
    params: params
  });
}
//GET  批次控制线 录取年份
export function years(params) {
  return request({
    url: "/front/syzy/pckzx/years",
    method: "get",
    params: params
  });
}

//GET  批次控制线 列表
export function pckzxList(params) {
  return request({
    url: "/front/syzy/pckzx/list",
    method: "get",
    params: params
  });
}

//GET  一分一段 地域
export function yfydLocations(params) {
  return request({
    url: "/front/syzy/yfyd/locations",
    method: "get",
    params: params
  });
}

//GET  一分一段  年份
export function yfydYears(params) {
  return request({
    url: "/front/syzy/yfyd/years",
    method: "get",
    params: params
  });
}

//GET  一分一段  科类
export function yfydModes(params) {
  return request({
    url: "/front/syzy/yfyd/modes",
    method: "get",
    params: params
  });
}


//GET  一分一段  列表
export function yfydList(params) {
  return request({
    url: "/front/syzy/yfyd/list",
    method: "get",
    params: params
  });
}

/**
 * 查询我的志愿表
 */
export function selectZytbRecord(params){
  return request({
    url:`/front/syzy/zytb/record`,
    method:'get',
    params
  })
}

/**
 * 删除我的志愿表
 * @param params
 */
export function delZytbRecord(params){
  return request({
    url:`/front/syzy/zytb/record/del`,
    method:'get',
    params
  })
}










